#include <bits/stdc++.h>

using namespace std;

int n;
double a[200005], p[200005], porez, pare, kes;

int main(){

scanf("%d", &n);
for(int i=1; i<=n; i++){
    scanf("%lf", &a[i]);
    scanf("%lf", &p[i]);
}
kes=0;
pare=0;
for(int i=1; i<=n; i++){
    porez=p[i];
        for(int j=1; j<=n; j++){
            if(p[j]>=porez){
            pare+=a[j];
            }
        }
    pare=pare*porez/100;
    kes=max(kes, pare);
    pare=0;
}
cout<<setprecision(4)<<fixed;
cout<<kes<<endl;
return 0;}